import {
	inject,
	observer,
} from 'mobx-react'
import {
	toJS
} from 'mobx'
import {
	WeaTableNew
} from 'comsMobx'
const WeaTable = WeaTableNew.WeaTable;

@inject('hrmAttendanceSetting')
@observer
export default class TableEdit extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmAttendanceSetting
		} = this.props, {
			tableEdit,
		} = hrmAttendanceSetting, {
			tableStore
		} = tableEdit;

		return (
			<WeaTable ecId={`${this && this.props && this.props.ecId || ''}_WeaTable@yih9kb`} 
				comsWeaTableStore={tableStore}
				hasOrder={true}
				needScroll={true}
				pagination={false}
				scroll={{y: 260}}
			/>
		)

	}
}